wifi8 2.0.0.0

Data Fields
wifi8_auth1x_mschap2_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
uint8_t * | pu8_domain
uint8_t * | pu8_user_name
uint8_t * | pu8_password
uint16_t | u16_domain_len
uint16_t | u16_user_name_len
uint16_t | u16_password_len
uint8_t | b_unencrypted_user_name
uint8_t | b_prepend_domain

## Field Documentation

## ◆ b_prepend_domain

uint8_t b_prepend_domain

determines whether domain is prepended or appended to user_name in eap identity responses. true: domain is prepended to user_name - [domain][user_name]. false: domain is appended to user_name - [user_name][domain].

## ◆ b_unencrypted_user_name

uint8_t b_unencrypted_user_name

determines whether user_name or "anonymous" is sent (unencrypted) in the initial eap identity response. domain is sent in both cases.
true: user_name is sent in the initial eap identity response (not recommended). false: "anonymous" is sent in the initial eap identity response. this setting is recommended for tunneled methods. mscha_pv2 is always a tunneled method.

## ◆ pu8_domain

uint8_t* pu8_domain

pointer to domain of authentication server (printable ascii), including '@' or '\' separator character as appropriate. use null if there is no domain information. the domain will be either prepended or appended to the user_name, depending on the setting of field b_prepend_domain.
example 1: if [domain] is "@my_domain" and b_prepend_domain is false, then the eap identity response is "[user_name]@my_domain".
example 2: if [domain] is "my_domain\" and b_prepend_domain is true, then the eap identity response is "my_domain\[user_name]".

## ◆ pu8_password

uint8_t* pu8_password

pointer to mscha_pv2 password (ascii). this will be used during mscha_pv2 authentication.

## ◆ pu8_user_name

uint8_t* pu8_user_name

pointer to user_name (ascii). this will be sent (encrypted) in the tunneled eap identity response (if applicable) and used during mscha_pv2 authentication. if b_unencrypted_user_name is true then it will also be sent (unencrypted) in the initial eap identity response.

## ◆ u16_domain_len

uint16_t u16_domain_len

length of domain (in ascii characters), including '@' or '\' separator character as appropriate. permitted values are such that u16_domain_len + u16_user_name_len is between 0 and m2m_auth_1x_user_len_max.

## ◆ u16_password_len

uint16_t u16_password_len

length of password (in ascii characters). permitted values are between 0 and m2m_auth_1x_password_len_max.

## ◆ u16_user_name_len

uint16_t u16_user_name_len

length of user_name (in ascii characters). permitted values are such that u16_domain_len + u16_user_name_len is between 0 and m2m_auth_1x_user_len_max.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h